<?php

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Pushpro',
            'Pushpro',
            [
                \Pushpro\Pushpro\Controller\PushproTokenController::class => 'list, show, new, create, edit, update, delete, statsAction, stats',
            ],
            [
                \Pushpro\Pushpro\Controller\PushproTokenController::class => 'list, show, new, create, edit, update, delete, statsAction, stats'
            ],
            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::PLUGIN_TYPE_CONTENT_ELEMENT
        );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    pushpro {
                        iconIdentifier = pushpro-plugin-pushpro
                        title = LLL:EXT:pushpro/Resources/Private/Language/locallang_db.xlf:tx_pushpro_pushpro.name
                        description = LLL:EXT:pushpro/Resources/Private/Language/locallang_db.xlf:tx_pushpro_pushpro.description
                        tt_content_defValues {
                            CType = list
                            list_type = pushpro_pushpro
                        }
                    }
                }
                show = *
            }
       }'
    );

		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

			$iconRegistry->registerIcon(
				'pushpro-plugin-pushpro',
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:pushpro/Resources/Public/Icons/Extension.svg']
			);

        $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_pagerenderer.php']['render-preProcess'][\Pushpro\Pushpro\User\SnippetGenerator::class]
            = \Pushpro\Pushpro\User\SnippetGenerator::class . '->generateInlineJsSnippet';
        \Pushpro\Pushpro\Service\SwContent::boot();
    }
);
