<?php
namespace Pushpro\Pushpro\Domain\Model;

/***
 *
 * This file is part of the "pushpro" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020
 *
 ***/

/**
 * PushproToken
 */
class PushproToken extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{
    /**
     * token
     *
     * @var string
     */
    protected $token = '';


    /**
     * Returns the token
     *
     * @return string $token
     */
    public function getToken()
    {
        return $this->token;
    }

    /**
     * Sets the token
     *
     * @param string $token
     * @return void
     */
    public function setToken($token)
    {
        $this->token = $token;
    }
}
