<?php
namespace Pushpro\Pushpro\Tests\Unit\Domain\Model;

/**
 * Test case.
 */
class PushproTokenTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \Pushpro\Pushpro\Domain\Model\PushproToken
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \Pushpro\Pushpro\Domain\Model\PushproToken();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getTokenReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getToken()
        );
    }

    /**
     * @test
     */
    public function setTokenForStringSetsToken()
    {
        $this->subject->setToken('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'token',
            $this->subject
        );
    }
}
