<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
            'Pushpro',
            'Pushpro',
            'pushpro123123'
        );

        if (TYPO3_MODE === 'BE') {
            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerModule(
                'Pushpro',
                'web', // Make module a submodule of 'web'
                'pushpro', // Submodule key
                '', // Position
                [
                    \Pushpro\Pushpro\Controller\PushproTokenController::class => 'list, show, new, create, edit, update, delete, stats',
                ],
                [
                    'access' => 'user,group',
                    'icon'   => 'EXT:pushpro/Resources/Public/Icons/Extension.svg',
                    'labels' => 'LLL:EXT:pushpro/Resources/Private/Language/locallang_pushpro.xlf',
                ]
            );
        }

        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile('pushpro', 'Configuration/TypoScript', 'pushpro');

        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tx_pushpro_domain_model_pushprotoken', 'EXT:pushpro/Resources/Private/Language/locallang_csh_tx_pushpro_domain_model_pushprotoken.xlf');
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::allowTableOnStandardPages('tx_pushpro_domain_model_pushprotoken');

    }
);
